Appearance
Get Financial Resource Information
This endpoint retrieves the exchange rate and verifies the beneficiary's name (KYC) in the destination country.
php
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://brijxbankuat.brij.money/api/v2/brijxthirdparty/financial-resource-information",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{\n \"request_type\": null,\n \"sender_account_id\": \"233245082217\",\n \"receiver_account_id\": \"3105596827\",\n \"source_country\": \"GH\",\n \"destination_country\": \"NG\",\n \"amount\": 1.0,\n \"rail_id\": \"a9b01852-00fc-48f3-b0b3-354f02766e85\"\n}",
CURLOPT_HTTPHEADER => [
"Accept: application/json",
"Authorization: Bearer 5|8VrxatlcuUGMHGnYRPMoR2ggo6frAa5BujQ51unC",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}js
const request = require('request');
const options = {
method: 'POST',
url: 'https://brijxbankuat.brij.money/api/v2/brijxthirdparty/financial-resource-information',
headers: {
Accept: 'application/json',
'Content-Type': 'application/json',
Authorization: 'Bearer 5|8VrxatlcuUGMHGnYRPMoR2ggo6frAa5BujQ51unC'
},
body: {
request_type: null,
sender_account_id: '233245082217',
receiver_account_id: '3105596827',
source_country: 'GH',
destination_country: 'NG',
amount: 1,
rail_id: 'a9b01852-00fc-48f3-b0b3-354f02766e85'
},
json: true
};
request(options, function (error, response, body) {
if (error) throw new Error(error);
console.log(body);
});bash
curl --location 'https://brijxbankuat.brij.money/api/v2/brijxthirdparty/financial-resource-information' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer your-bearer-token-goes-here' \
--data '{
"request_type": null,
"sender_account_id": "123245082217",
"receiver_account_id": "4245082217",
"source_country": "GH",
"destination_country": "NG",
"amount": 1.0,
"rail_id": "32b08581-c85b-447b-929d-1591a0ff158f"
}'Response
